This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 758171 - (CVE-2011-4360, CVE-2011-4361) CVE-2011-4360 CVE-2011-4361 MediaWiki (x < v.1.17.1): Two information disclosure flaws
CVE-2011-4360 CVE-2011-4361 MediaWiki (x < v.1.17.1): Two information disclos...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20111128,reported=2...
: Security
Depends On: 758174 758175
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-29 08:13 EST by Jan Lieskovsky
Modified: 2015-07-31 02:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2011-11-29 08:13:06 EST
An information disclosure flaw was found in the way MediaWiki, the wiki engine, processed 'curid' and 'oldid' request paramaters. A remote attacker could use this flaw to enumerate page titles on private MediaWiki installations.

Upstream bug report:
[1] https://bugzilla.wikimedia.org/show_bug.cgi?id=32276

An information disclosure flaw was found in the way MediaWiki, the wiki engine, performed action=ajax requests dispatching to relevant internal functions. These requests were dispatched without any read permissions checks being done. A remote attacker could use this flaw to obtain data on private MediaWiki installations.

Upstream bug report:
[2] https://bugzilla.wikimedia.org/show_bug.cgi?id=32616

References:
[3] http://lists.wikimedia.org/pipermail/mediawiki-announce/2011-November/000104.html
[4] http://www.openwall.com/lists/oss-security/2011/11/29/6
[5] https://bugs.gentoo.org/show_bug.cgi?id=392383

Upstream patch (covering both of the issues):
[6] http://www.mediawiki.org/wiki/Special:Code/MediaWiki/104506
Comment 1 Jan Lieskovsky 2011-11-29 08:14:40 EST
These issues affect the version of the mediawiki package, as shipped with Fedora EPEL 5.
Please schedule an update.

--

These issues affect the versions of the mediawiki package, as shipped with Fedora release of 14, 15, and 16. Please schedule an update.
Comment 2 Jan Lieskovsky 2011-11-29 08:15:52 EST
Created mediawiki tracking bugs for this issue

Affects: fedora-all [bug 758174]
Affects: epel-5 [bug 758175]
Comment 3 Vincent Danen 2011-11-29 16:30:56 EST
The first issue (upstream bug 32276) was assigned the name CVE-2011-4360.

The second issue (upstream bug 32616) was assigned the name CVE-2011-4361.

http://www.openwall.com/lists/oss-security/2011/11/29/12

Note You need to log in before you can comment on or make changes to this bug.